<template>
  <div align="center">
    <v-simple-table dense v-if="items.length > 0">
      <template v-slot:default>
        <thead>
          <tr>
            <th class="text-left">ชื่อสถานที่</th>
            <th class="text-left" v-if="role == 'Admin'">ชื่อ Partner</th>
            <th class="text-center">วันที่ลงทะเบียน</th>
            <th class="text-center">สถานะ</th>
            <th class="text-center">รายละเอียด</th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="(item, index) in items" :key="index">
            <td class="text-caption">{{ item.locateName }}</td>
            <td class="text-caption" v-if="role == 'Admin'">
              {{ item | fullName }}
            </td>
            <td class="text-center">
              <v-chip
                class="ma-2 text-caption"
                color="indigo darken-3"
                outlined
                label
              >
                {{ item.createDate | fomatDate }}
                <v-icon right> date_range </v-icon>
              </v-chip>
            </td>
            <td class="text-center text-caption">
              <v-chip class="ma-2" :color="item | colorStatus" label outlined>
                {{ item | statusLocation }}
              </v-chip>
            </td>
            <td class="text-center text-caption">
              <v-icon color="info" class="mr-2" @click="showDialog(item)">
                pageview
              </v-icon>
            </td>
          </tr>
        </tbody>
      </template>
    </v-simple-table>
    <h2 v-else v-show="!loading">ไม่มีข้อมูล</h2>
    <DialogDetail
      :dialog="dialog"
      :center="center"
      v-model="obj"
      :close.sync="dialog"
      @update-table="updateTable"
    />
  </div>
</template>

<script>
import DialogDetail from "./DialogDetail";
export default {
  components: { DialogDetail },
  props: ["items", "loading", "overlay"],
  data() {
    return {
      role: this.$store.getters["auth/roleUser"],
      obj: {},
      dialog: false,
      center: { lat: 13.736717, lng: 100.523186 },
    };
  },
  methods: {
    updateTable(i) {
      if (i) this.$emit("update-table-parent", i);
    },
    showDialog(item) {
      this.dialog = true;
      item.fullName = this.$options.filters.fullName(item);
      this.center.lat = parseFloat(item.latitude)
      this.center.lng = parseFloat(item.longtitude)
      this.obj = Object.assign({}, item);
    },
  },
};
</script>

<style>
</style>